# PSF-LoginServer - master - net.psforever.types.OxygenState.Suffocation
PSF - LoginServer - master - net.psforever.types.OxygenState.Suffocation
Keywords: PSF LoginServer master net.psforever.types.OxygenState.Suffocation

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
-  object OxygenState extends Enum[OxygenState]

  The progress state of being a drowning victim.

  The progress state of being a drowning victim. `Suffocation` means being too far under water. In terms of percentage, progress proceeds towards 0. `Recovery` means emerging from being too far under water. In terms of percentage, progress proceeds towards 100.

  Definition Classes
    types
- Recovery
- Suffocation

o

net.psforever.types.OxygenState

# Suffocation

###

#### case object Suffocation extends OxygenState with Product with Serializable

Source
  OxygenState.scala

Linear Supertypes
Serializable, Product, Equals, OxygenState, EnumEntry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Suffocation
2. Serializable
3. Product
4. Equals
5. OxygenState
6. EnumEntry
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def entryName: String
   Definition Classes
     EnumEntry
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  def productElementName(n: Int): String
    Definition Classes
      Product
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from OxygenState

### Inherited from EnumEntry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped